package com.ecep.contract.controller.customer.tasker;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.ecep.contract.MessageHolder;
import com.ecep.contract.WebSocketClientTasker;
import com.ecep.contract.task.Tasker;
import com.ecep.contract.vo.CustomerVo;

import lombok.Setter;

public class CustomerNextSignDateTask extends Tasker<Object> implements WebSocketClientTasker {
    private static final Logger logger = LoggerFactory.getLogger(CustomerNextSignDateTask.class);

    @Setter
    private CustomerVo customer;

    @Override
    public String getTaskName() {
        return "CustomerNextSignDateTask";
    }

    @Override
    public void updateProgress(long current, long total) {
        super.updateProgress(current, total);
    }

    @Override
    protected Object execute(MessageHolder holder) throws Exception {
        updateTitle("计算客户下一个评价日期");
        return callRemoteTask(holder, getLocale(), customer.getId());
    }
}